## webcit 917-dfsg

=== debian/changelog ===
webcit (917-dfsg-5) unstable; urgency=medium

  * QA upload.
  * Migrated DebSrc to 3.0.
  * Run wrap-and-sort.
  * Using new DH level format. Consequently:
      - debian/compat: removed.
      - debian/control: changed from 'debhelper' to 'debhelper-compat' in
        Build-Depends field and bumped level to 12.
  * debian/control:
      - Added 'Rules-Requires-Root: no' to source stanza.
      - Bumped Standards-Version to 4.5.0.
      - Removed no longer needed build dependency quilt.
  * debian/patches:
      - Added a numeric prefix for the patch libical3.patch.
      - debian/patches/020_verbose-build.patch: created to make build verbose
        to make it compliant with blhc.
  * debian/rules: remove no longer needed addon '--with quilt'.
  * debian/salsa-ci.yml: added to provide CI tests for Salsa.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 06 Apr 2020 12:58:52 -0300

webcit (917-dfsg-4) unstable; urgency=medium

  * QA upload.
  * Re-upload as source only to target testing.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sun, 01 Sep 2019 14:54:49 -0300

webcit (917-dfsg-3) unstable; urgency=medium

  * Orphaning package

 -- Michael Meskes <meskes@debian.org>  Thu, 11 Jul 2019 18:05:35 +0200

webcit (917-dfsg-2) unstable; urgency=medium

  * Point CVS information to salsa.
  * Switch build to libical3.
    Thanks to Adrian Bunk <bunk@debian.org> (Closes: #891018)
  * Get rid of recursive chown statement in postinst.

 -- Michael Meskes <meskes@debian.org>  Thu, 22 Feb 2018 10:11:13 +0100

webcit (917-dfsg-1) unstable; urgency=medium

  * Changed watch file for new manifest.
  * New upstream version 917-dfsg

 -- Michael Meskes <meskes@debian.org>  Fri, 05 Jan 2018 12:02:10 +0100

webcit (916-dfsg-1) unstable; urgency=medium

  * New upstream version 916-dfsg (Closes: #859789)
  * Build depend on libical2-dev for now. (Closes: #884204)
  * Bumped Standards-Version to 4.1.3, no changes needed.
  * Bumped debhelper compat level to 11.
  * Changed priority to optional.
  * Remove obsolete -dbg package

 -- Michael Meskes <meskes@debian.org>  Tue, 02 Jan 2018 10:54:47 +0100

webcit (904-dfsg-1) unstable; urgency=medium

  * New upstream version 904-dfsg

 -- Michael Meskes <meskes@debian.org>  Sat, 03 Jun 2017 09:16:05 +0200

webcit (902-dfsg-4) unstable; urgency=medium

  * Added build dependency on zlib1g-dev. (Closes: #850985)
  * Enabled bindnow linker flag.

 -- Michael Meskes <meskes@debian.org>  Sun, 15 Jan 2017 10:00:11 +0100

webcit (902-dfsg-3) unstable; urgency=medium

  * Use SSL compatibility library.
    Thanks to Christoph Biedl <debian.axhn@manchmal.in-ulm.de> (Closes: #846462)

 -- Michael Meskes <meskes@debian.org>  Wed, 14 Dec 2016 16:35:50 +0100

webcit (902-dfsg-2) unstable; urgency=medium

  * Use SSL compatibility API. (Closes: #828598)
  * Added dependency on lsb-base.

 -- Michael Meskes <meskes@debian.org>  Sun, 30 Oct 2016 09:55:18 +0100

webcit (902-dfsg-1) unstable; urgency=medium

  * Imported Upstream version 902-dfsg
  * Update package to use libical2.
    Thanks to Andreas Henriksson <andreas@fatal.se> (Closes: #822569)
  * Added Brazilian Portuguese Translation. (Closes: #824289)
  * Bumped debhelper and standards version, no changes needed.
  * Do not move files into non-existent directories. (Closes: #806121)

 -- Michael Meskes <meskes@debian.org>  Fri, 13 May 2016 10:47:10 +0200

webcit (9.01-dfsg-1) unstable; urgency=medium

  * Update config.sub/guess during build.
  * Imported Upstream version 9.01-dfsg
  * Removed unused tiny_mce subdirectory which did not contain all sources.
  * Bumped Standards-Version to 3.9.6, no changes needed.
  * Added Dutch debconf translation (Closes: #766521)
  * Added build dependency for libmarkdown.

 -- Michael Meskes <meskes@debian.org>  Tue, 07 Jul 2015 17:23:34 +0200

webcit (8.24-dfsg-1) unstable; urgency=medium

  * Imported Upstream version 8.24-dfsg
  * Bumped Standards-Version to 3.9.5, no changes needed.

 -- Michael Meskes <meskes@debian.org>  Tue, 28 Jan 2014 10:00:51 +0100

webcit (8.22-dfsg-1) unstable; urgency=low

  * Imported Upstream version 8.22-dfsg (Closes: #725641)
  * Removed empty patch system.

 -- Michael Meskes <meskes@debian.org>  Thu, 14 Nov 2013 14:20:22 +0100

webcit (8.20-dfsg-1) unstable; urgency=low

  * Imported Upstream version 8.20-dfsg (Closes: #725641)

 -- Michael Meskes <meskes@debian.org>  Sat, 24 Aug 2013 12:03:08 +0200

webcit (8.16-dfsg-1) unstable; urgency=low

  * Imported Upstream version 8.16-dfsg
  * Bumped Standards-Version to 3.9.4, no changes needed.

 -- Michael Meskes <meskes@debian.org>  Sun, 10 Mar 2013 12:27:05 +0100

webcit (8.14-dfsg-2) unstable; urgency=low

  [ Wilfried Goesgens ]
  * Add QUILT and upstream patches.
  * Japanese translation update by the japanese Translation Team (Closes: #693063)

 -- Michael Meskes <meskes@debian.org>  Thu, 06 Dec 2012 16:45:01 +0100

webcit (8.14-dfsg-1) unstable; urgency=low

  * Imported Upstream version 8.14-dfsg

 -- Michael Meskes <meskes@debian.org>  Fri, 20 Jul 2012 20:35:53 +0200

webcit (8.12-dfsg-1) unstable; urgency=low

  * Imported Upstream version 8.12-dfsg

 -- Michael Meskes <meskes@debian.org>  Thu, 28 Jun 2012 11:01:58 +0200

webcit (8.11-dfsg-2) unstable; urgency=low

  * Added build dependency on libexpat1-dev. (Closes: #676064)

 -- Michael Meskes <meskes@debian.org>  Tue, 05 Jun 2012 11:34:07 +0200

webcit (8.11-dfsg-1) unstable; urgency=low

  * Imported Upstream version 8.11-dfsg

 -- Michael Meskes <meskes@debian.org>  Wed, 23 May 2012 18:20:01 +0200

webcit (8.05-dfsg-3) unstable; urgency=low

  * Delete old keys directories that are not used anymore. (Closes: #668733)

 -- Michael Meskes <meskes@debian.org>  Mon, 23 Apr 2012 12:56:30 +0200

webcit (8.05-dfsg-2) unstable; urgency=low

  * Adjusted watch file for new url.
  * Added missing LDFLAGS hardening flags.
    Thanks to Simon Ruderich <simon@ruderich.org> (Closes: #664518)


