=== debian/control ===
Source: webcit
Section: web
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (= 12),
               gettext,
               libcitadel-dev (>= 917),
               libexpat1-dev,
               libical-dev,
               libmarkdown2-dev,
               libssl-dev (>= 1.1.0),
               locales,
               po-debconf,
               zlib1g-dev
Standards-Version: 4.5.0
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/debian/webcit
Vcs-Git: https://salsa.debian.org/debian/webcit.git
Homepage: http://www.citadel.org/

Package: citadel-webcit
Architecture: any
Depends: adduser,
         debconf,
         libjs-prototype,
         libjs-scriptaculous,
         locales,
         lsb-base (>= 3.0-6),
         openssl,
         tinymce,
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: apache2, citadel-server, gnome-icon-theme, localepurge
Recommends: shared-mime-info
Description: web-based frontend to Citadel groupware server
 WebCit is a web-based, AJAX-enabled frontend to the Citadel groupware system.
 It is an attractive web middleware layer that allows user-friendly access.
 By combining WebCit and Citadel, you can have a versatile online environment
 with many users concurrently accessing the same system using the user
 interface of their choice (text, web, or downloaded client software).

Package: citadel-suite
Section: mail
Architecture: all
Depends: citadel-client,
         citadel-mta,
         citadel-server,
         citadel-webcit,
         ${misc:Depends}
Description: complete and feature-rich groupware server; metapackage for full installation
 Citadel is a complete and feature-rich open source groupware platform.
  * Email, calendaring/scheduling, address books
  * Bulletin boards, mailing list server, instant messaging
  * Multiple domain support
  * An intuitive, attractive AJAX-style web interface
 .
 The Citadel system is extremely versatile. It provides numerous front ends to
 present to users, such as a text-based interface, an AJAX-style web interface,
 and many popular PIM clients using SMTP/POP/IMAP. All of these can be used
 simultaneously.
 .
 It's also extremely scalable. Not only can a well-equipped Citadel server
 support a large number of concurrent users, but you can also build
 a distributed network of Citadel nodes that share rooms and their content.
