=== debian/watch ===
version=3

opts=dversionmangle=s/\-dfsg$// \
http://easyinstall.citadel.org/manifest.html webcit-([\d\S]+).tar.gz \
debian debian/uscan-dfsg-clean.sh
